PCSC_SCAN(1)

NAME
pcsc_scan - regularly scans every PC/SC readers connected to the host

SYNOPSIS
pcsc_scan [options]

DESCRIPTION
This manual page documents briefly the pcsc_scan command.

pcsc_scan is a program that regularly scans every PC/SC readers connected to the host

When pcsc_scan is started it asks pcscd the list of available smart card readers. The list is printed. A sequence number is printed before each reader.

Example:
 PC/SC device scanner
 V 1.1.0 (c) 2001-2002, Ludovic Rousseau
 PC/SC lite version: 1.1.1
 0: GemPC410 0 0
 1: GemPC430 0 0

When a card is inserted in any reader some information is printed:

date and time:
    Thu Jun 13 18:56:14 2002

reader name:
    Reader 0 (GemPC410 0 0)

card state and occured event:
    Card state: State has changed, Card inserted,

ATR in case of card insertion:
    ATR: 3B 82 00 86 1E

print an ATR analysis if the ATR_analysis command is available:
     ATR: 3B 82 00 86 1E
     + TS = 3B --> Direct Convention
     + T0 = 82, Y(1): 1000, K: 2 (historical bytes)
       TD(1) = 00 --> Y(i+1) = 0000, Protocol T = 0
     -----
     + Historical bytes: 86 1E

OPTIONS

-h  print help

-V  print version number

-n  do not print ATR analysis

SEE ALSO
pcscd(8), ATR_analysis(1)

AUTHOR
Ludovic Rousseau <ludovic.rousseau@free.fr>